Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AxisAlignedBoxIntersection Class Reference

軸沿いボックス交差 More...

`#include <AxisAlignedBoxIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const AxisAlignedBox &aab, const Vector3 &point)
| 点交差
bool | intersect (const AxisAlignedBox &aab0, const AxisAlignedBox &aab1)
| 軸沿いボックス交差
bool | intersect (const AxisAlignedBox &aab, const Capsule &capsule)
| カプセル交差
bool | intersect (const AxisAlignedBox &aab, const Cone &cone)
| コーン交差
bool | intersect (const AxisAlignedBox &aab, const Line &line)
| ライン交差
bool | intersect (const AxisAlignedBox &aab, const OrientedBox &ob)
| 指向性ボックス交差
bool | intersect (const AxisAlignedBox &aab, const Plane &plane)
| 平面交差
bool | intersect (const AxisAlignedBox &aab, const Ray &ray)
| レイ交差
bool | intersect (const AxisAlignedBox &aab, const Segment &segment)
| セグメント交差
bool | intersect (const AxisAlignedBox &aab, const Sphere &sphere)
| 球交差
bool | intersect (const AxisAlignedBox &aab, const Triangle &triangle)
| 三角交差

## Detailed Description

軸沿いボックス交差

Definition at line 45 of file AxisAlignedBoxIntersection.h.

## Member Function Documentation

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  aab | 軸沿いボックス
  triangle | 三角
Returns: 交差していればtrue Definition at line 261 of file AxisAlignedBoxIntersection.cpp. References Assert.

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  aab | 軸沿いボックス
  sphere | 球
Returns: 交差していればtrue Definition at line 229 of file AxisAlignedBoxIntersection.cpp. References Lamp::Sphere::getCenter(), Lamp::AxisAlignedBox::getMaximum(), Lamp::AxisAlignedBox::getMinimum(), Lamp::Sphere::getRadius(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント交差 Parameters:
  aab | 軸沿いボックス
  segment | セグメント
Returns: 交差していればtrue Definition at line 193 of file AxisAlignedBoxIntersection.cpp. References Lamp::Vector3::array, Lamp::Segment::getDirection(), Lamp::AxisAlignedBox::getMaximum(), Lamp::AxisAlignedBox::getMinimum(), and Lamp::Segment::getOrigin().

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Ray & | ray
| ) | `[static]`

  | レイ交差 Parameters:
  aab | 軸沿いボックス
  ray | レイ
Returns: 交差していればtrue Definition at line 158 of file AxisAlignedBoxIntersection.cpp. References Lamp::Vector3::array, Lamp::Ray::getDirection(), Lamp::AxisAlignedBox::getMaximum(), Lamp::AxisAlignedBox::getMinimum(), and Lamp::Ray::getOrigin().

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Plane & | plane
| ) | `[static]`

  | 平面交差 Parameters:
  aab | 軸沿いボックス
  plane | 平面
Returns: 交差していればtrue Definition at line 132 of file AxisAlignedBoxIntersection.cpp. References Lamp::Plane::dotProduct(), Lamp::AxisAlignedBox::getCorner(), and Lamp::AxisAlignedBox::getSize().

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const OrientedBox & | ob
| ) | `[static]`

  | 指向性ボックス交差 Parameters:
  aab | 軸沿いボックス
  ob | 指向性ボックス
Returns: 交差していればtrue Definition at line 123 of file AxisAlignedBoxIntersection.cpp. References Assert.

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Line & | line
| ) | `[static]`

  | ライン交差 Parameters:
  aab | 軸沿いボックス
  line | ライン
Returns: 交差していればtrue Definition at line 87 of file AxisAlignedBoxIntersection.cpp. References Lamp::Vector3::array, Lamp::Line::getDirection(), Lamp::AxisAlignedBox::getMaximum(), Lamp::AxisAlignedBox::getMinimum(), and Lamp::Line::getOrigin().

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Cone & | cone
| ) | `[static]`

  | コーン交差 Parameters:
  aab | 軸沿いボックス
  cone | コーン
Returns: 交差していればtrue Definition at line 78 of file AxisAlignedBoxIntersection.cpp. References Assert.

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Capsule & | capsule
| ) | `[static]`

  | カプセル交差 Parameters:
  aab | 軸沿いボックス
  capsule | カプセル
Returns: 交差していればtrue Definition at line 69 of file AxisAlignedBoxIntersection.cpp. References Assert.

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab0,
|  | const AxisAlignedBox & | aab1
| ) | `[static]`

  | 軸沿いボックス交差 Parameters:
  aab0 | 軸沿いボックス
  aab1 | 軸沿いボックス
Returns: 交差していればtrue Definition at line 50 of file AxisAlignedBoxIntersection.cpp. References Lamp::AxisAlignedBox::getMaximum(), Lamp::AxisAlignedBox::getMinimum(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

bool Lamp::AxisAlignedBoxIntersection::intersect | ( | const AxisAlignedBox & | aab,
|  | const Vector3 & | point
| ) | `[static]`

  | 点交差 Parameters:
  aab | 軸沿いボックス
  point | 点
Returns: 交差していればtrue Definition at line 34 of file AxisAlignedBoxIntersection.cpp. References Lamp::AxisAlignedBox::getMaximum(), Lamp::AxisAlignedBox::getMinimum(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

The documentation for this class was generated from the following files:

- AxisAlignedBoxIntersection.h
- AxisAlignedBoxIntersection.cpp